<fd-dialog>
  <fd-dialog-header>
    <h1 fd-dialog-title>Ordem de Compras</h1>
    <button fd-dialog-close-button (click)="dialogRef.dismiss()"></button>
  </fd-dialog-header>
  <fd-dialog-body>
    <form
      [formGroup]="form"
      (ngSubmit)="submitForm()"
      id="main-form"
      autocomplete="off"
    >
      <fd-tab-list>
        <fd-tab title="Detalhes da Ordem">
          <div fd-form-set>
            <fd-layout-panel>
              <fd-layout-panel-body>
                <fd-layout-grid>
                  <div [fdLayoutGridCol]="12" [colLg]="12">
                    <fd-panel [fixed]="true">
                      <h5 fd-panel-title>Dados da Ordem</h5>
                      <div
                        fd-panel-content
                        ariaLabel="Panel Content"
                        id="panel-content-2"
                      >
                        <fd-layout-grid>
                          <div [fdLayoutGridCol]="12" [colLg]="6">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "Requisitante" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <input
                                  fd-form-control
                                  type="text"
                                  id="contact-input"
                                  placeholder="Requisitante"
                                  formControlName="requirer"
                                />
                              </fd-form-input-message-group>
                            </div>
                          </div>

                          <div [fdLayoutGridCol]="12" [colLg]="3">
                            <div fd-form-item>
                              <label fd-form-label for="datepicker-input"
                                >{{ "Data de Emissão" | titlecase }}:
                              </label>
                              <fd-date-picker
                                formControlName="createDate"
                                [type]="'single'"
                              >
                              </fd-date-picker>
                            </div>
                          </div>
                        </fd-layout-grid>

                        <fd-layout-grid>
                          <div [fdLayoutGridCol]="12" [colLg]="4">
                            <label fd-form-label for="datepicker-input"
                              >{{ "Período Inicial" | titlecase }}:
                            </label>
                            <fd-date-picker
                              formControlName="initialPeriod"
                              [type]="'single'"
                              id="datepicker-input"
                            >
                            </fd-date-picker>
                          </div>

                          <div [fdLayoutGridCol]="12" [colLg]="4">
                            <label fd-form-label for="datepicker-input"
                              >{{ "Período Final" | titlecase }}:
                            </label>
                            <fd-date-picker
                              formControlName="finalPeriod"
                              [type]="'single'"
                              id="datepicker-input"
                            >
                            </fd-date-picker>
                          </div>

                          <div [fdLayoutGridCol]="12" [colLg]="4">
                            <div fd-form-item>
                              <label fd-form-label [for]="'type-1'"
                                >{{
                                  "Renovação Automática" | titlecase
                                }}:</label
                              >
                              <fd-form-input-message-group>
                                <select
                                  fd-form-control
                                  id="type-1"
                                  formControlName="autRenew"
                                >
                                  <option value="true">{{ "Sim" }}</option>
                                  <option value="false">
                                    {{ "Não" }}
                                  </option>
                                </select>
                              </fd-form-input-message-group>
                            </div>
                          </div>
                        </fd-layout-grid>
                        <fd-layout-grid>
                          <div [fdLayoutGridCol]="12" [colLg]="5">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "Preço R$" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <input
                                  fd-form-control
                                  type="number"
                                  id="contact-input"
                                  placeholder="Preço R$"
                                  formControlName="totalPrice"
                                />
                              </fd-form-input-message-group>
                            </div>
                          </div>
                        </fd-layout-grid>
                        <fd-layout-grid>
                          <div [fdLayoutGridCol]="12" [colLg]="12">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "Observações Ordem" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <textarea
                                  fd-form-control
                                  type="text"
                                  id="contact-input"
                                  placeholder="Observações Ordem"
                                  formControlName="remarks"
                                ></textarea>
                              </fd-form-input-message-group>
                            </div>
                          </div>
                        </fd-layout-grid>
                      </div>
                    </fd-panel>
                  </div>

                  <div [fdLayoutGridCol]="12" [colLg]="12">
                    <fd-panel [fixed]="true">
                      <h5 fd-panel-title>Dados do Fornecedor</h5>
                      <div
                        fd-panel-content
                        ariaLabel="Panel Content"
                        id="panel-content-2"
                      >
                        <fd-layout-grid>
                          <div [fdLayoutGridCol]="12" [colLg]="12">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "CNPJ/CPF" }}:
                              </label>
                              <fd-form-input-message-group>
                                <input
                                  fd-form-control
                                  type="text"
                                  id="contact-input"
                                  placeholder="CNPJ/CPF"
                                  formControlName="fiscalCodeProvider"
                                  mask="000.000.000-00||00.000.000/0000-00"
                                />
                              </fd-form-input-message-group>
                            </div>
                          </div>

                          <div [fdLayoutGridCol]="12" [colLg]="12">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "Nome Fornecedor" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <input
                                  fd-form-control
                                  type="text"
                                  id="contact-input"
                                  placeholder="Nome Fornecedor"
                                  formControlName="provider"
                                />
                              </fd-form-input-message-group>
                            </div>
                          </div>

                          <div [fdLayoutGridCol]="12" [colLg]="12">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "Endereço" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <input
                                  fd-form-control
                                  type="text"
                                  id="contact-input"
                                  placeholder="Endereço"
                                  formControlName="addressProvider"
                                />
                              </fd-form-input-message-group>
                            </div>
                          </div>

                          <div [fdLayoutGridCol]="12" [colLg]="12">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "E-mail" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <input
                                  fd-form-control
                                  type="email"
                                  id="contact-input"
                                  placeholder="E-mail"
                                  formControlName="mailProvider"
                                />
                              </fd-form-input-message-group>
                            </div>
                          </div>
                        </fd-layout-grid>
                      </div>
                    </fd-panel>
                  </div>

                  <div [fdLayoutGridCol]="12" [colLg]="12">
                    <fd-panel [fixed]="true">
                      <h5 fd-panel-title>Pagamento</h5>
                      <div
                        fd-panel-content
                        ariaLabel="Panel Content"
                        id="panel-content-2"
                      >
                        <fd-layout-grid>
                          <div [fdLayoutGridCol]="12" [colLg]="12">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "Forma de Pagamento" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <input
                                  fd-form-control
                                  type="text"
                                  id="contact-input"
                                  placeholder="Forma de Pagamento"
                                  formControlName="paymentType"
                                />
                              </fd-form-input-message-group>
                            </div>
                          </div>
                          <div [fdLayoutGridCol]="12" [colLg]="12">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "Banco" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <input
                                  fd-form-control
                                  type="text"
                                  id="contact-input"
                                  placeholder="Cod. Banco"
                                  formControlName="providerCodeBank"
                                />
                              </fd-form-input-message-group>
                            </div>
                          </div>
                          <div [fdLayoutGridCol]="12" [colLg]="12">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "Agência" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <input
                                  fd-form-control
                                  type="text"
                                  id="contact-input"
                                  placeholder="Agência"
                                  formControlName="providerAgBank"
                                />
                              </fd-form-input-message-group>
                            </div>
                          </div>
                          <div [fdLayoutGridCol]="12" [colLg]="12">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "Conta" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <input
                                  fd-form-control
                                  type="text"
                                  id="contact-input"
                                  placeholder="Conta"
                                  formControlName="providerAccountBank"
                                />
                              </fd-form-input-message-group>
                            </div>
                          </div>
                          <div [fdLayoutGridCol]="12" [colLg]="12">
                            <div fd-form-item>
                              <label fd-form-label for="contact-input"
                                >{{ "Observações Financeiras" | titlecase }}:
                              </label>
                              <fd-form-input-message-group>
                                <textarea
                                  fd-form-control
                                  type="textarea"
                                  id="contact-input"
                                  placeholder="Observações Financeiras"
                                  formControlName="financialRemarks"
                                >
                                </textarea>
                              </fd-form-input-message-group>
                            </div>
                          </div>
                        </fd-layout-grid>
                      </div>
                    </fd-panel>
                  </div>
                </fd-layout-grid>
              </fd-layout-panel-body>
            </fd-layout-panel>
          </div>
        </fd-tab>
        <fd-tab title="Detalhes da Aprovação">
          <fd-panel [fixed]="true">
            <h5 fd-panel-title>Dados da Ordem</h5>
            <div
              fd-panel-content
              ariaLabel="Panel Content"
              id="panel-content-2"
            >
              <fd-layout-grid>
                <div [fdLayoutGridCol]="12" [colLg]="3">
                  <div fd-form-item>
                    <label fd-form-label for="datepicker-input"
                      >{{ "Minha Aprovação" | titlecase }}:
                    </label>
                    <fd-date-picker
                      formControlName="createDate"
                      [type]="'single'"
                    >
                    </fd-date-picker>
                  </div>
                </div>

                <div [fdLayoutGridCol]="12" [colLg]="3">
                  <div fd-form-item>
                    <label fd-form-label for="datepicker-input"
                      >{{ "Status" | titlecase }}:
                    </label>
                    <fd-form-input-message-group>
                      <input
                        fd-form-control
                        type="text"
                        id="contact-input"
                        placeholder="Status"
                        formControlName="providerAccountBank"
                      />
                    </fd-form-input-message-group>
                  </div>
                </div>

                <div [fdLayoutGridCol]="12" [colLg]="3">
                  <div fd-form-item>
                    <label fd-form-label for="datepicker-input"
                      >{{ "Data de Emissão" | titlecase }}:
                    </label>
                    <fd-date-picker
                      formControlName="createDate"
                      [type]="'single'"
                    >
                    </fd-date-picker>
                  </div>
                </div>

                <div [fdLayoutGridCol]="12" [colLg]="3">
                  <div fd-form-item>
                    <label fd-form-label for="datepicker-input"
                      >{{ "Data de Emissão" | titlecase }}:
                    </label>
                    <fd-date-picker
                      formControlName="createDate"
                      [type]="'single'"
                    >
                    </fd-date-picker>
                  </div>
                </div>
                <div [fdLayoutGridCol]="12" [colLg]="12">
                  <div fd-form-item>
                    <label fd-form-label for="contact-input"
                      >{{ "Observações Aprovação" | titlecase }}:
                    </label>
                    <fd-form-input-message-group>
                      <textarea
                        fd-form-control
                        type="text"
                        id="contact-input"
                        placeholder="Observações Ordem"
                        formControlName="remarks"
                      ></textarea>
                    </fd-form-input-message-group>
                  </div>
                </div>
              </fd-layout-grid>
            </div>
          </fd-panel>
        </fd-tab>
      </fd-tab-list>
    </form>
  </fd-dialog-body>
  <fd-dialog-footer>
    <fd-dialog-footer-button>
      <fd-busy-indicator
        [loading]="isLoading"
        size="s"
        aria-labelledby="fd-busy-indicator-label-2"
        title="Inline Wrapper"
      >
        <button
          fd-button
          fd-dialog-decisive-button
          fdType="positive"
          (click)="onApprove()"
          form="main-form"
          [label]="'Aprovar'"
          [aria-disabled]="pending || isLoading"
        ></button>
        <button
          fd-button
          fd-dialog-decisive-button
          style="margin-left: 16px"
          fdType="negative"
          (click)="onReject()"
          form="main-form"
          [label]="'Rejeitar'"
          [aria-disabled]="pending || isLoading"
        ></button>
      </fd-busy-indicator>
    </fd-dialog-footer-button>
    <fd-dialog-footer-button>
      <button
        fd-button
        fd-dialog-decisive-button
        fdType="transparent"
        style="margin-left: 16px"
        (click)="this.dialogRef.dismiss()"
        [label]="'Voltar'"
        [aria-disabled]="isLoading"
      ></button>
    </fd-dialog-footer-button>
  </fd-dialog-footer>
</fd-dialog>
